POST api/batchapi/add/loadingstep?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
Required |
Body Parameters
BatchLoadingStepViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| mediwave_id | globally unique identifier |
Required |
|
| batch_details | Collection of BatchDetailViewModel |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": "92cebe59-f64c-4dee-b148-b53c813cf710",
"mediwave_id": "88b62f05-546a-4595-a3ae-6a108b316bdb",
"batch_details": [
{
"id": "6fe188bd-5a97-41c3-adaf-49937621c2a5",
"compartment": 2,
"witness_code": 3,
"unload_time": "2026-03-09T15:41:18.2892345+00:00",
"reference": "sample string 4"
},
{
"id": "6fe188bd-5a97-41c3-adaf-49937621c2a5",
"compartment": 2,
"witness_code": 3,
"unload_time": "2026-03-09T15:41:18.2892345+00:00",
"reference": "sample string 4"
}
]
}
application/xml, text/xml
Sample:
<batch_loading_step xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<batch_details>
<batch_detail>
<compartment>2</compartment>
<id>6fe188bd-5a97-41c3-adaf-49937621c2a5</id>
<reference>sample string 4</reference>
<unload_time>2026-03-09T15:41:18.2892345+00:00</unload_time>
<witness_code>3</witness_code>
</batch_detail>
<batch_detail>
<compartment>2</compartment>
<id>6fe188bd-5a97-41c3-adaf-49937621c2a5</id>
<reference>sample string 4</reference>
<unload_time>2026-03-09T15:41:18.2892345+00:00</unload_time>
<witness_code>3</witness_code>
</batch_detail>
</batch_details>
<id>92cebe59-f64c-4dee-b148-b53c813cf710</id>
<mediwave_id>88b62f05-546a-4595-a3ae-6a108b316bdb</mediwave_id>
</batch_loading_step>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"e5377704-3936-4a61-9d84-f7847a154e4f"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">e5377704-3936-4a61-9d84-f7847a154e4f</guid>